net.corda.node.services.network

## Class NetworkMapService.QueryIdentityResponse

- net.corda.node.services.network.NetworkMapService.QueryIdentityResponse

- Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.QueryIdentityResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryIdentityResponse(NodeInfo node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeInfo` | `component1()`
    `NetworkMapService.QueryIdentityResponse` | `copy(NodeInfo node)`
    `boolean` | `equals(java.lang.Object p)`
    `NodeInfo` | `getNode()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### QueryIdentityResponse

          public QueryIdentityResponse(NodeInfo node)

  - ### Method Detail

    - #### getNode

          public NodeInfo getNode()

    - #### component1

          public NodeInfo component1()

    - #### copy

          public NetworkMapService.QueryIdentityResponse copy(NodeInfo node)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)